# Class SsdMobilenetv1

#### Hierarchy

- NeuralNetwork<NetParams>
  - SsdMobilenetv1
    - FaceDetectionNet

- Defined in ssdMobilenetv1/SsdMobilenetv1.ts:16

#####
Index

### Constructors

constructor

### Properties

_name

### Accessors

isLoaded
paramMappings
params

### Methods

dispose
extractWeights
forward
forwardInput
freeze
getFrozenParams
getParamFromPath
getParamList
getTrainableParams
load
loadFromDisk
loadFromUri
loadFromWeightMap
locateFaces
reassignParamFromPath
serializeParams
variable

## Constructors

### constructor

- new SsdMobilenetv1(): SsdMobilenetv1

- #### Returns SsdMobilenetv1

  Overrides NeuralNetwork.constructor

  - Defined in ssdMobilenetv1/SsdMobilenetv1.ts:17

## Properties

### _name

_name: any

Inherited from NeuralNetwork._name

- Defined in NeuralNetwork.ts:17

## Accessors

### isLoaded

- get isLoaded(): boolean

- #### Returns boolean

  Inherited from NeuralNetwork.isLoaded

  - Defined in NeuralNetwork.ts:23

### paramMappings

- get paramMappings(): ParamMapping[]

- #### Returns ParamMapping[]

  Inherited from NeuralNetwork.paramMappings

  - Defined in NeuralNetwork.ts:21

### params

- get params(): undefined | TNetParams

- #### Returns undefined | TNetParams

  Inherited from NeuralNetwork.params

  - Defined in NeuralNetwork.ts:19

## Methods

### dispose

- dispose(throwOnRedispose?: boolean): void

- #### Parameters

  - ##### throwOnRedispose: boolean = true

  #### Returns void

  Inherited from NeuralNetwork.dispose

  - Defined in NeuralNetwork.ts:65

### extractWeights

- extractWeights(weights: Float32Array): void

- #### Parameters

  - ##### weights: Float32Array

  #### Returns void

  Inherited from NeuralNetwork.extractWeights

  - Defined in NeuralNetwork.ts:118

### forward

- forward(input: any): Promise<any>

- #### Parameters

  - ##### input: any

  #### Returns Promise<any>

  - Defined in ssdMobilenetv1/SsdMobilenetv1.ts:33

### forwardInput

- forwardInput(input: NetInput): any

- #### Parameters

  - ##### input: NetInput

  #### Returns any

  - Defined in ssdMobilenetv1/SsdMobilenetv1.ts:21

### freeze

- freeze(): void

- #### Returns void

  Inherited from NeuralNetwork.freeze

  - Defined in NeuralNetwork.ts:57

### getFrozenParams

- getFrozenParams(): { path: string; tensor: Tensor }[]

- #### Returns { path: string; tensor: Tensor }[]

  Inherited from NeuralNetwork.getFrozenParams

  - Defined in NeuralNetwork.ts:47

### getParamFromPath

- getParamFromPath(paramPath: string): Tensor

- #### Parameters

  - ##### paramPath: string

  #### Returns Tensor

  Inherited from NeuralNetwork.getParamFromPath

  - Defined in NeuralNetwork.ts:25

### getParamList

- getParamList(): { path: string; tensor: Tensor }[]

- #### Returns { path: string; tensor: Tensor }[]

  Inherited from NeuralNetwork.getParamList

  - Defined in NeuralNetwork.ts:36

### getTrainableParams

- getTrainableParams(): { path: string; tensor: Tensor }[]

- #### Returns { path: string; tensor: Tensor }[]

  Inherited from NeuralNetwork.getTrainableParams

  - Defined in NeuralNetwork.ts:43

### load

- load(weightsOrUrl: undefined | string | Float32Array): Promise<void>

- #### Parameters

  - ##### weightsOrUrl: undefined | string | Float32Array

  #### Returns Promise<void>

  Inherited from NeuralNetwork.load

  - Defined in NeuralNetwork.ts:83

### loadFromDisk

- loadFromDisk(filePath: undefined | string): Promise<void>

- #### Parameters

  - ##### filePath: undefined | string

  #### Returns Promise<void>

  Inherited from NeuralNetwork.loadFromDisk

  - Defined in NeuralNetwork.ts:99

### loadFromUri

- loadFromUri(uri: undefined | string): Promise<void>

- #### Parameters

  - ##### uri: undefined | string

  #### Returns Promise<void>

  Inherited from NeuralNetwork.loadFromUri

  - Defined in NeuralNetwork.ts:91

### loadFromWeightMap

- loadFromWeightMap(weightMap: NamedTensorMap): void

- #### Parameters

  - ##### weightMap: NamedTensorMap

  #### Returns void

  Inherited from NeuralNetwork.loadFromWeightMap

  - Defined in NeuralNetwork.ts:112

### locateFaces

- locateFaces(input: any, options?: ISsdMobilenetv1Options): Promise<FaceDetection[]>

- #### Parameters

  - ##### input: any

  - ##### options: ISsdMobilenetv1Options = {}

  #### Returns Promise<FaceDetection[]>

  - Defined in ssdMobilenetv1/SsdMobilenetv1.ts:37

### reassignParamFromPath

- reassignParamFromPath(paramPath: string, tensor: Tensor): void

- #### Parameters

  - ##### paramPath: string

  - ##### tensor: Tensor

  #### Returns void

  Inherited from NeuralNetwork.reassignParamFromPath

  - Defined in NeuralNetwork.ts:30

### serializeParams

- serializeParams(): Float32Array

- #### Returns Float32Array

  Inherited from NeuralNetwork.serializeParams

  - Defined in NeuralNetwork.ts:75

### variable

- variable(): void

- #### Returns void

  Inherited from NeuralNetwork.variable

  - Defined in NeuralNetwork.ts:51